Summary: Generic linux kernel
Name: kernel
%define kversion 2.0.36
%define pcmciaver 3.0.5
%define ibcsver 2.0-980822
Version: %{kversion}
Release: 3
%define KVERREL %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
Copyright: GPL
Group: Base/Kernel
ExclusiveArch: i386
ExclusiveOS: Linux
Obsoletes: kernel-modules
Source0: ftp://ftp.kernel.org/pub/linux/kernel/v2.0/linux-2.0.36.tar.gz
Source1: ftp://hyper.stanford.edu/pub/pcmcia/pcmcia-cs-%{pcmciaver}.tar.gz
Source2: kernel-2.0.36-i386.config
Source3: pcmcia-cs-2.8.8-network.script
Source4: ftp://gear.torque.net/pub/bpcd.c
Source5: module-info
Source6: kernel-2.0.36-alpha.config
Source8: installkernel
Source9: unistd.h
Source10: ftp://tsx-11.mit.edu/pub/linux/BETA/ibcs2/ibcs-%{ibcsver}.tar.gz
Source11: rhkmvtag.c

Patch0: kernel-make.patch
Patch2: axp-diffs-2.0.31.patch
Patch4: modular-sound-2.0.36.diff.gz
Patch6: linux-2.0.30-alphamachines.patch.gz
Patch7: linux-2.0.34-firewallmoduleHACK.patch
Patch8: linux-2.0.36-fixes.patch

Patch10: pcmcia-cs-3.0.5-preferred.patch
Patch11: pcmcia-cs-3.0.5-chkconfig.patch
Patch12: ibcs-2.0.970513-glibc.patch
Patch13: ibcs-2.0.970513-nonsmp.patch
Patch14: ibcs-2.0-make.patch
Patch16: kernel-2.0.36-xconfig.patch
Patch17: kernel-2.0.36-sound-new.patch

Patch20: pci-jo-091398.dif
Patch21: ncr53c8xx-3.1e-for-linux-2.0.36.patch.gz
Patch22: kernel-2.0.36-adaptec.patch
Patch23: kernel-2.0.36-soundalan.patch

Patch100: kernel-2.0.36-kfd.patch

BuildRoot: /var/tmp/kernel-root
Provides: module-info
Autoreqprov: no
Requires: initscripts >= 3.64

%package source
Requires: kernel-headers = %{kversion}
Summary: Kernel source tree
Group: Base/Kernel

%package headers
Summary: Header files for the Linux kernel.
Group: Base/Kernel

%package pcmcia-cs
Requires: kernel = %{KVERREL}
Summary: Daemon and device drivers for using PCMCIA adapters
Group: Daemons
Obsoletes: pcmcia-cs

%package ibcs
Obsoletes: iBCS
Requires: kernel = %{KVERREL}
Summary: iBCS module - allows Linux to run SCO binaries
Group: Base/Kernel


%description
This package contains the Linux kernel that is used to boot and run
your system. It contains few device drivers for specific hardware.
Most hardware is instead supported by modules loaded after booting.

%description source
This is the source code for the Linux kernel. It is required to build
most C programs as they depend on constants defined in here. You can
also build a custom kernel that is better tuned to your particular
hardware.

%description headers
These are the C header files for the Linux kernel, which define structures
and constants that are needed when building most standard programs under
Linux, as well as to rebuild the kernel.

%description pcmcia-cs
Many laptop machines (and some others) support PCMCIA cards for expansion. 
Also known as "credit card adapters", PCMCIA cards are small cards for
everything from SCSI support to modems. They are hot swappable (they can
be exchanged without rebooting the system) and quite convienent. This package
contains support for numerous PCMCIA cards of all varieties and supplies a
daemon which allows them to be hot swapped.

%description ibcs
This package allows you to run programs in the iBCS2 (Intel Binary
Compatibility Standard, version 2) and related executable formats.


###
### prep
###

%prep
%setup -q -n linux -a 1

# Bring in the Red Hat Kernel Module Version Tag program
cp $RPM_SOURCE_DIR/rhkmvtag.c .

%patch7 -p1
 
%patch0 -p1

%patch4 -p1
%patch16 -p1
%patch17 -p1

%patch20 -p0
%patch21 -p1
%patch22 -p1
%patch23 -p1

# This is the patch for 3000 open FDs
#patch100 -p1 -b .kfd

%patch10 -p1
%patch11 -p0

%patch8 -p1 -b .alan


cp $RPM_SOURCE_DIR/kernel-2.0.36-i386.config arch/i386/defconfig

# We do this in %prep to let the pcmcia stuff get configured properly
make oldconfig
make dep

# now setup pcmcia stuff back in the build directory
make -C pcmcia-cs-%{pcmciaver} config <<EOF
$RPM_BUILD_DIR/linux
$RPM_BUILD_ROOT
gcc
ld
$RPM_OPT_FLAGS
y
y
y
2
y
/etc/rc.d
EOF

mkdir -p extra
cp $RPM_SOURCE_DIR/bpcd.c extra

tar xfz $RPM_SOURCE_DIR/ibcs-%{ibcsver}.tar.gz
%patch12 -p0
%patch13 -p0
%patch14 -p0
chown -R 0.0 ibcs
ln -s CONFIG.i386 ibcs/CONFIG

###
### build
###

%build
make include/linux/version.h

make boot modules

# now for the extra modules CD driver
( cd extra
  gcc -I../include -D__KERNEL__ -DMODULE -DMODVERSIONS -include \
	../include/linux/modversions.h -O2  -c bpcd.c
)
make -C pcmcia-cs-%{pcmciaver} all
make -C ibcs/iBCSemul kversion=%{kversion} all

###
### install
###

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include
ln -s ../src/linux/include/asm $RPM_BUILD_ROOT/usr/include/asm
ln -s ../src/linux/include/linux $RPM_BUILD_ROOT/usr/include/linux
ln -s ../src/linux/include/scsi $RPM_BUILD_ROOT/usr/include/scsi

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion} $RPM_BUILD_ROOT/boot
cp $RPM_SOURCE_DIR/module-info $RPM_BUILD_ROOT/boot/module-info-%{KVERREL}
cp System.map $RPM_BUILD_ROOT/boot/System.map-%{KVERREL}

mkdir -p $RPM_BUILD_ROOT/sbin
install -m 755  $RPM_SOURCE_DIR/installkernel $RPM_BUILD_ROOT/sbin/installkernel

mkdir -p $RPM_BUILD_ROOT/boot
cp $RPM_SOURCE_DIR/module-info $RPM_BUILD_ROOT/boot/module-info-%{KVERREL}

cp arch/i386/boot/zImage $RPM_BUILD_ROOT/boot/vmlinuz-%{KVERREL}
ln -sf vmlinuz-%{KVERREL} $RPM_BUILD_ROOT/boot/vmlinuz

mkdir -p $RPM_BUILD_ROOT/lib/modules
make PREFIX=$RPM_BUILD_ROOT modules_install
cp extra/bpcd.o $RPM_BUILD_ROOT/lib/modules/%{kversion}/cdrom

# Identify the modules directory with the Red Hat Kernel Module Version Tag
cc -o rhkmvtag rhkmvtag.c init/version.o
./rhkmvtag > $RPM_BUILD_ROOT/lib/modules/%{kversion}/.rhkmvtag
rm -f rhkmvtag

mkdir -p $RPM_BUILD_ROOT/etc/pcmcia
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig

make install -C pcmcia-cs-%{pcmciaver}
# Install our own network up/down script
install -m755 $RPM_SOURCE_DIR/pcmcia-cs-2.8.8-network.script \
        $RPM_BUILD_ROOT/etc/pcmcia/network

# We need our own default /etc/sysconfig/pcmcia
echo PCMCIA=no > $RPM_BUILD_ROOT/etc/sysconfig/pcmcia
echo PCIC= >> $RPM_BUILD_ROOT/etc/sysconfig/pcmcia 
echo PCIC_OPTS= >> $RPM_BUILD_ROOT/etc/sysconfig/pcmcia
echo CORE_OPTS= >> $RPM_BUILD_ROOT/etc/sysconfig/pcmcia

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init,rc{0,2,3,5,6}}.d
install -m 755 pcmcia-cs-%{pcmciaver}/etc/rc.pcmcia \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/pcmcia

# We use different default sequence numbers
ln -sf ../init.d/pcmcia $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K96pcmcia
ln -sf ../init.d/pcmcia $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S45pcmcia
ln -sf ../init.d/pcmcia $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S45pcmcia
ln -sf ../init.d/pcmcia $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S45pcmcia
ln -sf ../init.d/pcmcia $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K96pcmcia

# Finally strip some binaries
( cd $RPM_BUILD_ROOT/sbin
  strip cardmgr cardctl probe scsi_info ftl_format ftl_check
)

# iBCS stuff
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kversion}/misc
install -m644 ibcs/iBCSemul/iBCS $RPM_BUILD_ROOT/lib/modules/%{kversion}/misc/iBCS
mkdir -p $RPM_BUILD_ROOT/usr/man/man9
install -m 644 ibcs/Doc/iBCS.9 $RPM_BUILD_ROOT/usr/man/man9

mkdir -p $RPM_BUILD_ROOT/dev/inet
install -m755 ibcs/MAKEDEV.ibcs $RPM_BUILD_ROOT/dev/MAKEDEV.ibcs
( cd $RPM_BUILD_ROOT
  mknod ./dev/socksys c 30 0
  ln -s socksys ./dev/nfsd
  ln -s null ./dev/X0R
  mknod ./dev/spx c 30 1
  mknod ./dev/inet/ip c 30 32
  mknod ./dev/inet/icmp c 30 33
  mknod ./dev/inet/ggp c 30 34
  mknod ./dev/inet/ipip c 30 35
  mknod ./dev/inet/tcp c 30 36
  mknod ./dev/inet/egp c 30 37
  mknod ./dev/inet/pup c 30 38
  mknod ./dev/inet/udp c 30 39
  mknod ./dev/inet/idp c 30 40
  mknod ./dev/inet/rawip c 30 41
  ln -s udp ./dev/inet/arp
  ln -s udp ./dev/inet/rip
  cd ./dev/inet
  for i in *; do
    ln -s inet/$i ../$i
  done
)

# move the modules to where we like them
mv $RPM_BUILD_ROOT/lib/modules/%{kversion} \
       $RPM_BUILD_ROOT/lib/modules/%{KVERREL}

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
ln -sf linux-%{kversion} $RPM_BUILD_ROOT/usr/src/linux

cp -a . $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

#clean up the destination

make clean -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/pcmcia-cs-%{pcmciaver}
rm $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/extra/bpcd.o

# this generates modversions info which we want to include and we may as
# well include the depends stuff as well
make mrproper -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make oldconfig -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make symlinks -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make include/linux/version.h -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

#this generates modversions info which we want to include and we may as
#well include the depends stuff as well, after we fix the paths
make depend -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
find $RPM_BUILD_ROOT/usr/src/linux-%{kversion} -name ".*depend" | \
while read file ; do
    mv $file $file.old
    sed -e "s|[^ ]*\(/usr/src/linux\)|\1|g" < $file.old > $file
    rm -f $file.old
done

###
### clean
###

%clean
rm -rf $RPM_BUILD_ROOT

###
### scripts
###

# do this for upgrades...in case the old modules get removed we have
# loopback in the kernel so that mkinitrd will work.
%pre
/sbin/modprobe loop 2> /dev/null > /dev/null
exit 0

%post
cd /boot
ln -sf vmlinuz-%{KVERREL} vmlinuz
ln -sf System.map-%{KVERREL} System.map
ln -sf module-info-%{KVERREL} module-info

if [ -x /sbin/lilo -a -f /etc/lilo.conf ]; then
	/sbin/lilo > /dev/null 2>&1 || :
fi

%post headers
rm -f /usr/src/linux
ln -snf linux-%{kversion} /usr/src/linux

%postun headers
if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{kversion}" ]; then
	 [ $1 = 0 ] && rm -f /usr/src/linux
    fi
fi

%post pcmcia-cs
/sbin/chkconfig --add pcmcia

%postun pcmcia-cs
if [ $1 = 0 ]; then
    /sbin/chkconfig --del pcmcia
fi

# This sounds like a nice idea, but it doesn't work during the install when
# the boot disks have a different kernel then the installed image. As iBCS
# doesn't require other modules, we don't really lost anything by skipping
# this anyway.
#
#%post ibcs
#if [ -x /sbin/depmod ]; then
        #/sbin/depmod -a
#fi
#
#%postun ibcs
#if [ -x /sbin/depmod ]; then
        #/sbin/depmod -a
#fi

###
### file lists
###

%files
%defattr(-,root,root)
/boot/vmlinuz-*
/boot/System.map-%{KVERREL}
/boot/module-info-%{KVERREL}
/sbin/installkernel
%dir /lib/modules
%dir /lib/modules/%{KVERREL}
/lib/modules/%{KVERREL}/.rhkmvtag
/lib/modules/%{KVERREL}/scsi
/lib/modules/%{KVERREL}/net
/lib/modules/%{KVERREL}/block
/lib/modules/%{KVERREL}/cdrom
/lib/modules/%{KVERREL}/fs
/lib/modules/%{KVERREL}/misc
/lib/modules/%{KVERREL}/ipv4

%files source
%defattr(-,root,root)
%dir /usr/src/linux-%{kversion}
/usr/src/linux-%{kversion}/COPYING
/usr/src/linux-%{kversion}/CREDITS
/usr/src/linux-%{kversion}/Documentation
/usr/src/linux-%{kversion}/MAINTAINERS
/usr/src/linux-%{kversion}/Makefile
/usr/src/linux-%{kversion}/README
/usr/src/linux-%{kversion}/Rules.make
/usr/src/linux-%{kversion}/arch
/usr/src/linux-%{kversion}/drivers
/usr/src/linux-%{kversion}/fs
/usr/src/linux-%{kversion}/init
/usr/src/linux-%{kversion}/ipc
/usr/src/linux-%{kversion}/kernel
/usr/src/linux-%{kversion}/lib
/usr/src/linux-%{kversion}/mm
/usr/src/linux-%{kversion}/modules
/usr/src/linux-%{kversion}/net
/usr/src/linux-%{kversion}/scripts
/usr/src/linux-%{kversion}/extra
/usr/src/linux-%{kversion}/pcmcia-cs-%{pcmciaver}

%files pcmcia-cs
%defattr(-,root,root)
%doc pcmcia-cs-%{pcmciaver}/doc/PCMCIA-HOWTO 
%doc pcmcia-cs-%{pcmciaver}/SUPPORTED.CARDS 
%doc pcmcia-cs-%{pcmciaver}/CHANGES 
%doc pcmcia-cs-%{pcmciaver}/COPYING 
%doc pcmcia-cs-%{pcmciaver}/README
/lib/modules/%{KVERREL}/pcmcia
/sbin/cardctl
/sbin/cardmgr
/sbin/ftl_check
/sbin/ftl_format
/sbin/ide_info
/sbin/ifport
/sbin/pcinitrd
/sbin/probe
/sbin/scsi_info
/usr/man/*/*

%config(missingok) /etc/rc.d/rc0.d/K96pcmcia
%config(missingok) /etc/rc.d/rc2.d/S45pcmcia
%config(missingok) /etc/rc.d/rc3.d/S45pcmcia
%config(missingok) /etc/rc.d/rc5.d/S45pcmcia
%config(missingok) /etc/rc.d/rc6.d/K96pcmcia

%config /etc/rc.d/init.d/pcmcia
%config /etc/sysconfig/pcmcia
%dir /etc/pcmcia
/etc/pcmcia/config
/etc/pcmcia/cdrom
/etc/pcmcia/ftl
/etc/pcmcia/memory
/etc/pcmcia/network
/etc/pcmcia/scsi
/etc/pcmcia/serial
/etc/pcmcia/shared

%config /etc/pcmcia/config.opts
%config /etc/pcmcia/cdrom.opts
%config /etc/pcmcia/ftl.opts
%config /etc/pcmcia/memory.opts
%config /etc/pcmcia/scsi.opts
%config /etc/pcmcia/serial.opts

%files headers
%defattr(-,root,root)
%dir /usr/src/linux-%{kversion}
/usr/src/linux-%{kversion}/include/asm
/usr/src/linux-%{kversion}/include/asm-generic
/usr/src/linux-%{kversion}/include/linux
/usr/src/linux-%{kversion}/include/net
/usr/src/linux-%{kversion}/include/scsi
/usr/include/asm
/usr/include/linux
/usr/include/scsi
/usr/src/linux-%{kversion}/include/asm-%{buildarch}

%files ibcs
%defattr(-,root,root)
%doc ibcs/{README,RELEASE,CREDITS,Doc}
/lib/modules/%{KVERREL}/misc/iBCS
/usr/man/man9/iBCS.9

/dev/MAKEDEV.ibcs
/dev/inet
/dev/socksys
/dev/nfsd
/dev/X0R
/dev/spx
/dev/arp
/dev/egp
/dev/ggp
/dev/icmp
/dev/idp
/dev/ip
/dev/ipip
/dev/pup
/dev/rawip
/dev/rip
/dev/tcp
/dev/udp

%changelog
* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- add more fixes from Alan for 3com and random problems
- updated Adaptec and NCR drivers

* Tue Nov 17 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.0.36 final

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- adaptec driver update to 5.1.2
- sound fixed from Bill Nottingham

* Thu Oct 08 1998 Cristian Gafton <gafton@redhat.com>
- prepatch 14
- updated the modular sound patch with hacked version from Alan

* Fri Oct 02 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to fix make xconfig
- added more sound patches
- added Jeff's 3000 open file descriptors patch (not applied yet, but it is
  good to have it handy in the src.rpm...)
- ensoniq and gus fixed form Bill Nottingham
- neomagic patch for the PCI device list
- do not process /usr/src/linux in kernel-source anymore

* Fri Sep 04 1998 Cristian Gafton <gafton@redhat.com>
- pcmcia 3.0.5
- base on linux-2.0.35 source instead of 2.0.34+patch35
- don't mess with /usr/include/linux anymore during build
- pcmcia and ibcs subpackages are properly %ifarch-ed i386
- new sound patches

* Thu Jul 23 1998 Erik Troan <ewt@redhat.com>
- got sound stuff right (oops)

* Tue Jul 14 1998 Erik Troan <ewt@redhat.com>
- updated to 2.0.35 gold
- removed make of menuconfig stuff; we want a dependency-free kernel-source
  package which installs on any Red Hat release

* Mon Jul 06 1998 Erik Troan <ewt@redhat.com>

- updated to 2.0.35pre5
- removed paride and aic7xxx stuff (as it's in pre5)
- moved make distclean stuff for main kernel to end of %install section

* Wed Jul  1 1998 Jeff Johnson <jbj@redhat.com>
- Use linux_banner (/proc/version) to identify /lib/modules/* directory.

* Sun Jun 28 1998 Mike Wangsmo <wanger@redhat.com>
- fixed a "stupid" Makefile problem WRT buildroots in the paride stuff

* Wed May 08 1998 Mike Wangsmo <wanger@redhat.com>
- Finally, we have the "real" 2.0.34

* Wed May 08 1998 Mike Wangsmo <wanger@redhat.com>
- Stuck in Alan's fix for loading initrd's and floppy based root file systems
- changed the owners of the paride patch (D'oh!)

* Thu May 07 1998 Mike Wangsmo <wanger@redhat.com>
- added parallel-IDE driver support for things like Backpack CD-ROMS, etc.

* Tue May 05 1998 Mike Wangsmo <wanger@redhat.com>
- removed buffer hack because it didn't help the mke2fs stuff
- removed MKJ's smc-ultra patch because ewt fixed that bug in the install.
- CONFIG_HISAX_ELSA_PCMCIA doesn't like the pcmcia_cs stuff, so it is turned off
- added a hack for building firewall support (ewt)
- I can't use vi, BTW, I added the smc-ultra patch of MKJ
- included nls support statically so that fat fs can be included

* Sat May 02 1998 Donnie Barnes <djb@redhat.com>
- added /lib/modules/preferred support to init.d/pcmcia and cardmgr.c
- moved pcmcia stop script from 52 to 96 (so that it stops PCMCIA *after*
  the nfs mounts are umounted)
- moved pcmcia and ibcs versions to be the same as the kernel in the
  package name
- added a workaround HACK to mke2fs hangs

* Fri May 01 1998 Erik Troan <ewt@redhat.com>
- made some fixes to version-release

* Mon Apr 27 1998 Mike Wangsmo <wanger@redhat.com>
- started working with Alan's pre34-11b patch

* Fri Apr 17 1998 Erik Troan <ewt@redhat.com>
- make files use version-release rather then just version
- added patch against ipfrag dos

* Wed Apr 15 1998 Mike Wangsmo <wanger@redhat.com>
- turned off apm stuff
- reverted back to the 2.0 sound driver
- turned on all modules in .config

* Sun Mar 08 1998 Mike Wangsmo <wanger@redhat.com>
- turned on lowlevel sound modules (mostly for AWE32 support)

* Thu Feb 26 1998 Donnie Barnes <djb@redhat.com>
- removed de4x5.c and .h to use the ones from the kernel instead.
- added new unistd.h from Alan (for sound changes)
- added iBCS to this source package and created subpackage
- changed pcmcia-cs to kernel-pcmcia-cs
- changed iBCS to kernel-ibcs
- pcmcia-cs package no longer i386 specific (should build on Alpha, too)

* Wed Feb 25 1998 Donnie Barnes <djb@redhat.com>
- moved the "extra" stuff into the kernel source tree to build (so that
  it gets included in the kernel-source binary RPM)
- Obsoletes: kernel-modules
- cleaned up pcmcia-cs sources
- got a new set of sound files from Alan

* Tue Feb 24 1998 Donnie Barnes <djb@redhat.com>
- added kernel-pci.patch.  adds entries (probably wrong) for the PCI
  cardbus adapter in the DEC HiNote docking station.  Also adds the 
  ROOT patch to the toplevel Makefile so that 'make zlilo' now works.
- added a pcmcia-cs patch to see the hinote docking station pcmcia card
  slot.
- added pcmcia-cs sources to kernel-source package
- got rid of the modules package (moved to main kernel)
- added 3c59x.c from Dave Hinds the 3C575 CardBus 100Mbs card
- added chkconfig support (man, I can't believe that wasn't done for 
  5.0!  Erik!)

* Mon Feb 23 1998 Donnie Barnes <djb@redhat.com>
- upgraded kernel to 2.0.33
- upgraded pcmcia-cs to 3.0.0

* Tue Nov 18 1997 Erik Troan <ewt@redhat.com>
- upgraded to 2.0.32
- release 2 is for 5.0, release 1 is for 4.x (and doesn't include modular
  sound)
- updated pcmcia stuff to 2.9.12

* Sun Nov 09 1997 Erik Troan <ewt@redhat.com>
- added patch from davem for IP fragments w/ bad sizes
- uses 2.0.30 de4x5 driver
- don't try to do pcmcia stuff on non-intel boxes

* Sat Nov 08 1997 Erik Troan <ewt@redhat.com>
- updated axp-diffs for 2.0.31

* Fri Nov 07 1997 Mike Wangsmo <wanger@redhat.com>
- fixed sound patch for monolythic kernesl (again) 

* Wed Nov 05 1997 Mike Wangsmo <wanger@redhat.com>
- fixed sound patch

* Mon Nov 03 1997 Erik Troan <ewt@redhat.com>
- turned on masq, multicast

* Fri Oct 31 1997 Erik Troan <ewt@redhat.com>
- added *piles* of patches from cox and fink
- updated eepro100 and 3x59x drivers
- updated to sound-14 patch

* Mon Oct 27 1997 Erik Troan <ewt@redhat.com>
- added patches from Ingo 

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- updated to 2.0.31 kernel
- updated to 2.9.11 pcmcia-cs

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- updated pcmcia network script for new initscripts
- turned on /dev/rtc

* Mon Sep 29 1997 Michael K. Johnson <johnsonm@redhat.com>
- Updated to pre-10...
- Removed our separate eepro100 driver since one is now included.
- Removed our newer 3c59x driver, as the one in the kernel has been updated.
- Updated pcmcia to 2.9.10, removed omega and include pcmcia patches.

* Mon Sep 08 1997 Mike Wangsmo <wanger@redhat.com>
- ISDN people are among the folks who can't figure out that the kernel
  isn't supposed to be using system header files like stdio.h
- Upgraded to Linus' final pre31 patch (pre2.0.31-9)  This _should_
  be the same as 2.0.31
- Moved to linux-2.0.30-sound-12 which fixed some problems SoundScape
  cards and with the Trix stuff.  Also ifarch'd the sound stuff
  build so that it only gets built on the Intel's.

* Wed Aug 27 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fixed Alan's sound patch to compile with the new, fixed genksyms

* Mon Aug 18 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved to pre-2.0.31-7 from Linus
- removed netalias patch for -7
- removed one line from ne2000 patch that wouldn't compile.

* Thu Aug 14 1997 Mike Wangsmo <wanger@redhat.com>
- Applied linux-2.0.30-sound-10.patch.
- Included sound readme in kernel/drivers/sound

* Tue Aug 12 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved to pre-2.0.31-5 from Linus
- Created netalias patch for fix in -5, omega patch for pcmcia-cs
- No longer need smallncr patch; included in -5

* Tue Aug 05 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved to pre-2.0.31-3 from Linus

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- updated to pre-2.0.31-2

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Added linux-2.0.30-freemem.patch patch

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Added /usr/include/linux, /usr/include/asm, and /usr/include/scsi symlinks
  to this package.
- Added default /sbin/installkernel (thanks to Tyson Sawyer)
